# TdApi.UpdateMessageEdited (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateMessageEdited

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageEdited

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageEdited

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageEdited extends TdApi.Update
A message was edited. Changes in the message content will come in a separate updateMessageContent.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`int`
`editDate`
Point in time (Unix timestamp) when the message was edited.
`long`
`messageId`
Message identifier.
`TdApi.ReplyMarkup`
`replyMarkup`
New message reply markup; may be null.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageEdited()`
A message was edited.
`UpdateMessageEdited(long chatId, long messageId, int editDate, TdApi.ReplyMarkup replyMarkup)`
A message was edited.
`UpdateMessageEdited(DataInput input)`
A message was edited.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### editDate

public int editDate
Point in time (Unix timestamp) when the message was edited.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
New message reply markup; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageEdited

public UpdateMessageEdited()
A message was edited. Changes in the message content will come in a separate updateMessageContent.

### UpdateMessageEdited

public UpdateMessageEdited(long chatId, long messageId, int editDate, TdApi.ReplyMarkup replyMarkup)
A message was edited. Changes in the message content will come in a separate updateMessageContent.

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.
  `editDate` - int Point in time (Unix timestamp) when the message was edited.
  `replyMarkup` - ReplyMarkup New message reply markup; may be null.

### UpdateMessageEdited

public UpdateMessageEdited(DataInput input) throws IOException
A message was edited. Changes in the message content will come in a separate updateMessageContent.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`